// priority: 0

// Visit the wiki for more info - https://kubejs.com/

ServerEvents.recipes(event => {

let ULV = 8
let LV = 16
let MV = 96
let HV = 192

// wither_skeleton_skull

event.recipes.gtceu.assembler('kubejs:assembler/wither_skeleton_skull')
.itemInputs('4x wstweaks:fragment')
.itemInputs('#forge:storage_blocks/bone')
.inputFluids(Fluid.of('gtceu:sulfuric_acid', 250))
.itemOutputs('minecraft:wither_skeleton_skull')
.duration(200)
.EUt(HV)

// entity_conveyor

event.remove ({ output: 'mob_grinding_utils:entity_conveyor'})
event.recipes.gtceu.assembler('kubejs:assembler/entity_conveyor')
.itemInputs('4x #forge:plates/thorium')
.itemInputs('4x #forge:rods/thorium')
.itemInputs('2x #forge:fine_wires/red_alloy')
.itemInputs('2x gtceu:sticky_resin')
.inputFluids(Fluid.of('gtceu:rubber', 1296))
.itemOutputs('4x mob_grinding_utils:entity_conveyor')
.duration(200)
.EUt(LV)

// tank

event.remove ({ output: 'mob_grinding_utils:tank'})
event.recipes.gtceu.assembler('kubejs:assembler/tank')
.itemInputs('4x #forge:plates/rubber')
.itemInputs('4x #forge:plates/thorium')
.inputFluids(Fluid.of('gtceu:glass', 576))
.itemOutputs('mob_grinding_utils:tank')
.duration(200)
.EUt(LV)

// jumbo_tank

event.remove ({ output: 'mob_grinding_utils:jumbo_tank'})
event.recipes.gtceu.assembler('kubejs:assembler/jumbo_tank')
.itemInputs('4x mob_grinding_utils:tank')
.itemInputs('2x #forge:circuits/mv')
.itemInputs('2x #forge:gears/aluminium')
.itemInputs('4x #forge:plates/stainless_steel')
.inputFluids(Fluid.of('gtceu:thorium', 2592))
.itemOutputs('mob_grinding_utils:jumbo_tank')
.duration(200)
.EUt(MV)

// absorption_hopper

event.remove ({ output: 'mob_grinding_utils:absorption_hopper'})
event.recipes.gtceu.assembler('kubejs:assembler/absorption_hopper')
.itemInputs('minecraft:hopper')
.itemInputs('gtceu:mv_field_generator')
.itemInputs('2x #forge:small_gears/aluminium')
.itemInputs('4x #forge:plates/thorium')
.inputFluids(Fluid.of('gtceu:thorium', 1296))
.itemOutputs('mob_grinding_utils:absorption_hopper')
.duration(200)
.EUt(MV)

// ender_inhibitor_on

event.remove ({ output: 'mob_grinding_utils:ender_inhibitor_on'})
event.recipes.gtceu.assembler('kubejs:assembler/ender_inhibitor_on')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('#forge:gems/ender_eye')
.itemInputs('2x #forge:plates/thorium')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:ender_inhibitor_on')
.duration(200)
.EUt(LV)

// tinted_glass

event.remove ({ output: 'mob_grinding_utils:tinted_glass'})
event.recipes.gtceu.assembler('kubejs:assembler/tinted_glass')
.itemInputs('#forge:glass/colorless')
.itemInputs('2x #forge:dusts/obsidian')
.inputFluids(Fluid.of('gtceu:thorium', 288))
.itemOutputs('mob_grinding_utils:tinted_glass')
.duration(200)
.EUt(LV)

// fan_upgrade_width

event.remove ({ output: 'mob_grinding_utils:fan_upgrade_width'})
event.recipes.gtceu.assembler('kubejs:assembler/fan_upgrade_width')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:springs/gold')
.itemInputs('#forge:rotors/steel')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:fan_upgrade_width')
.duration(200)
.EUt(LV)

// fan_upgrade_speed

event.remove ({ output: 'mob_grinding_utils:fan_upgrade_speed'})
event.recipes.gtceu.assembler('kubejs:assembler/fan_upgrade_speed')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:gears/bronze')
.itemInputs('#forge:rotors/steel')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:fan_upgrade_speed')
.duration(200)
.EUt(LV)

// fan_upgrade_height

event.remove ({ output: 'mob_grinding_utils:fan_upgrade_height'})
event.recipes.gtceu.assembler('kubejs:assembler/fan_upgrade_height')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/bronze')
.itemInputs('#forge:rotors/steel')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:fan_upgrade_height')
.duration(200)
.EUt(LV)

// absorption_upgrade

event.remove ({ output: 'mob_grinding_utils:absorption_upgrade'})
event.recipes.gtceu.assembler('kubejs:assembler/absorption_upgrade')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:ender_pearls')
.itemInputs('minecraft:hopper')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:absorption_upgrade')
.duration(200)
.EUt(LV)

// saw_upgrade_arthropod

event.remove ({ output: 'mob_grinding_utils:saw_upgrade_arthropod'})
event.recipes.gtceu.assembler('kubejs:assembler/saw_upgrade_arthropod')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x minecraft:spider_eye')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:saw_upgrade_arthropod')
.duration(200)
.EUt(LV)

// saw_upgrade_beheading

event.remove ({ output: 'mob_grinding_utils:saw_upgrade_beheading'})
event.recipes.gtceu.assembler('kubejs:assembler/saw_upgrade_beheading')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x gtceu:bronze_buzz_saw_blade')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:saw_upgrade_beheading')
.duration(200)
.EUt(LV)

// saw_upgrade_fire

event.remove ({ output: 'mob_grinding_utils:saw_upgrade_fire'})
event.recipes.gtceu.assembler('kubejs:assembler/saw_upgrade_fire')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x gtceu:firebrick')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:saw_upgrade_fire')
.duration(200)
.EUt(LV)

// saw_upgrade_looting

event.remove ({ output: 'mob_grinding_utils:saw_upgrade_looting'})
event.recipes.gtceu.assembler('kubejs:assembler/saw_upgrade_looting')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x #forge:flawless_gems/lapis')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:saw_upgrade_looting')
.duration(200)
.EUt(LV)

// saw_upgrade_sharpness

event.remove ({ output: 'mob_grinding_utils:saw_upgrade_sharpness'})
event.recipes.gtceu.assembler('kubejs:assembler/saw_upgrade_sharpness')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x gtceu:bronze_turbine_blade')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:saw_upgrade_sharpness')
.duration(200)
.EUt(LV)

// saw_upgrade_smite

event.remove ({ output: 'mob_grinding_utils:saw_upgrade_smite'})
event.recipes.gtceu.assembler('kubejs:assembler/saw_upgrade_smite')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x #forge:rods/long/silver')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:saw_upgrade_smite')
.duration(200)
.EUt(LV)

// xp_solidifier_upgrade

event.remove ({ output: 'mob_grinding_utils:xp_solidifier_upgrade'})
event.recipes.gtceu.assembler('kubejs:assembler/xp_solidifier_upgrade')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x mob_grinding_utils:solid_xp_baby')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:xp_solidifier_upgrade')
.duration(200)
.EUt(LV)

// spawner_upgrade_width

event.remove ({ output: 'mob_grinding_utils:spawner_upgrade_width'})
event.recipes.gtceu.assembler('kubejs:assembler/spawner_upgrade_width')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:springs/gold')
.itemInputs('4x #forge:dusts/blaze')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:spawner_upgrade_width')
.duration(200)
.EUt(LV)

// spawner_upgrade_height

event.remove ({ output: 'mob_grinding_utils:spawner_upgrade_height'})
event.recipes.gtceu.assembler('kubejs:assembler/spawner_upgrade_height')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('2x #forge:foils/gold')
.itemInputs('4x #forge:dusts/blaze')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('mob_grinding_utils:spawner_upgrade_height')
.duration(200)
.EUt(LV)

// stone_lava_source_furnace

event.remove ({ output: 'lava_source:stone_lava_source_furnace'})
event.recipes.gtceu.assembler('kubejs:assembler/stone_lava_source_furnace')
.itemInputs('4x #forge:plates/iron')
.itemInputs('2x #forge:glass/colorless')
.itemInputs('minecraft:lava_bucket')
.itemInputs('minecraft:lava_bucket')
.inputFluids(Fluid.of('gtceu:rubber', 576))
.itemOutputs('lava_source:stone_lava_source_furnace')
.duration(200)
.EUt(LV)

// iron_lava_source_furnace

event.remove ({ output: 'lava_source:iron_lava_source_furnace'})
event.recipes.gtceu.assembler('kubejs:assembler/iron_lava_source_furnace')
.itemInputs('lava_source:stone_lava_source_furnace')
.inputFluids(Fluid.of('gtceu:invar', 1296))
.itemInputs('4x #forge:plates/iron')
.itemOutputs('lava_source:iron_lava_source_furnace')
.duration(200)
.EUt(LV)

// gold_lava_source_furnace

event.remove ({ output: 'lava_source:gold_lava_source_furnace'})
event.recipes.gtceu.assembler('kubejs:assembler/gold_lava_source_furnace')
.itemInputs('lava_source:iron_lava_source_furnace')
.itemInputs('4x #forge:plates/gold')
.inputFluids(Fluid.of('gtceu:electrum', 1296))
.itemOutputs('lava_source:gold_lava_source_furnace')
.duration(200)
.EUt(MV)

// diamond_lava_source_furnace

event.remove ({ output: 'lava_source:diamond_lava_source_furnace'})
event.recipes.gtceu.assembler('kubejs:assembler/diamond_lava_source_furnace')
.itemInputs('lava_source:gold_lava_source_furnace')
.itemInputs('4x #forge:plates/diamond')
.inputFluids(Fluid.of('gtceu:aluminium', 1296))
.itemOutputs('lava_source:diamond_lava_source_furnace')
.duration(200)
.EUt(HV)

// water_source_tier_1

event.remove ({ output: 'watersources:water_source_tier_1'})
event.recipes.gtceu.assembler('kubejs:assembler/water_source_tier_1')
.itemInputs('4x #forge:plates/iron')
.itemInputs('2x #forge:glass/colorless')
.itemInputs('minecraft:water_bucket')
.itemInputs('minecraft:water_bucket')
.inputFluids(Fluid.of('gtceu:rubber', 576))
.itemOutputs('watersources:water_source_tier_1')
.duration(200)
.EUt(LV)

// iron_upgrade

event.remove ({ output: 'watersources:iron_upgrade'})
event.recipes.gtceu.assembler('kubejs:assembler/iron_upgrade')
.itemInputs('#forge:plates/iron')
.itemInputs('#forge:foils/bronze')
.itemInputs('#forge:glass_panes/colorless')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('watersources:iron_upgrade')
.duration(100)
.EUt(ULV)

// gold_upgrade

event.remove ({ output: 'watersources:gold_upgrade'})
event.recipes.gtceu.assembler('kubejs:assembler/gold_upgrade')
.itemInputs('#forge:plates/gold')
.itemInputs('#forge:foils/steel')
.itemInputs('#forge:glass_panes/colorless')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('watersources:gold_upgrade')
.duration(100)
.EUt(LV)

// diamond_upgrade

event.remove ({ output: 'watersources:diamond_upgrade'})
event.recipes.gtceu.assembler('kubejs:assembler/diamond_upgrade')
.itemInputs('#forge:plates/diamond')
.itemInputs('#forge:foils/aluminium')
.itemInputs('#forge:glass_panes/colorless')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('watersources:diamond_upgrade')
.duration(100)
.EUt(MV)

// netherite_upgrade

event.remove ({ output: 'watersources:netherite_upgrade'})
event.recipes.gtceu.assembler('kubejs:assembler/netherite_upgrade')
.itemInputs('#forge:ingots/netherite')
.itemInputs('#forge:foils/stainless_steel')
.itemInputs('#forge:glass_panes/colorless')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('watersources:netherite_upgrade')
.duration(100)
.EUt(HV)

// spawner

event.remove ({ output: 'minecraft:spawner'})
event.recipes.gtceu.assembler('kubejs:assembler/spawner')
.itemInputs('mob_grinding_utils:entity_spawner')
.itemInputs('8x #forge:rods/steel')
.itemInputs('mob_grinding_utils:solid_xp_block')
.itemInputs('gtceu:lv_field_generator')
.inputFluids(Fluid.of('gtceu:rubber', 1296))
.itemOutputs('minecraft:spawner')
.duration(100)
.EUt(LV)

// calculation_processor_press

event.remove ({ output: 'ae2:calculation_processor_press'})
event.recipes.gtceu.assembler('kubejs:assembler/calculation_processor_press')
.itemInputs('gtceu:empty_mold')
.itemInputs('#forge:gems/certus_quartz')
.inputFluids(Fluid.of('gtceu:iron', 288))
.itemOutputs('ae2:calculation_processor_press')
.duration(100)
.EUt(LV)

// logic_processor_press

event.remove ({ output: 'ae2:logic_processor_press'})
event.recipes.gtceu.assembler('kubejs:assembler/logic_processor_press')
.itemInputs('gtceu:empty_mold')
.itemInputs('#forge:ingots/gold')
.inputFluids(Fluid.of('gtceu:iron', 288))
.itemOutputs('ae2:logic_processor_press')
.duration(100)
.EUt(LV)

// engineering_processor_press

event.remove ({ output: 'ae2:engineering_processor_press'})
event.recipes.gtceu.assembler('kubejs:assembler/engineering_processor_press')
.itemInputs('gtceu:empty_mold')
.itemInputs('#forge:gems/diamond')
.inputFluids(Fluid.of('gtceu:iron', 288))
.itemOutputs('ae2:engineering_processor_press')
.duration(100)
.EUt(LV)

// silicon_processor_press

event.remove ({ output: 'ae2:silicon_processor_press'})
event.recipes.gtceu.assembler('kubejs:assembler/silicon_processor_press')
.itemInputs('gtceu:empty_mold')
.itemInputs('#forge:silicon')
.inputFluids(Fluid.of('gtceu:iron', 288))
.itemOutputs('ae2:silicon_press')
.duration(100)
.EUt(LV)

// travel_anchor

event.recipes.gtceu.assembler('kubejs:assembler/travel_anchor')
.itemInputs('gtceu:lv_machine_hull')
.itemInputs('#forge:ender_pearls')
.itemInputs('4x #forge:plates/invar')
.inputFluids(Fluid.of('gtceu:rubber', 288))
.itemOutputs('travelanchors:travel_anchor')
.duration(100)
.EUt(LV)

// card_item

event.recipes.gtceu.assembler('kubejs:assembler/card_item')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:plates/cobalt')
.itemInputs('#forge:gems/quartz')
.itemInputs('3x #forge:nuggets/gold')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('laserio:card_item')
.duration(40)
.EUt(ULV)

// card_item_2

event.recipes.gtceu.assembler('kubejs:assembler/card_item_2')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:plates/cobalt')
.itemInputs('#forge:gems/quartz')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:polyethylene', 72))
.itemOutputs('laserio:card_item')
.duration(40)
.EUt(ULV)

// card_fluid

event.recipes.gtceu.assembler('kubejs:assembler/card_fluid')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:plates/iron')
.itemInputs('#forge:gems/quartz')
.itemInputs('3x #forge:nuggets/gold')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('laserio:card_fluid')
.duration(40)
.EUt(ULV)

// card_fluid_2

event.recipes.gtceu.assembler('kubejs:assembler/card_fluid_2')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:plates/iron')
.itemInputs('#forge:gems/quartz')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:polyethylene', 72))
.itemOutputs('laserio:card_fluid')
.duration(40)
.EUt(ULV)

// card_energy

event.recipes.gtceu.assembler('kubejs:assembler/card_energy')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('#forge:gems/quartz')
.itemInputs('3x #forge:nuggets/gold')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('laserio:card_energy')
.duration(40)
.EUt(ULV)

// card_energy_2

event.recipes.gtceu.assembler('kubejs:assembler/card_energy_2')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:plates/red_alloy')
.itemInputs('#forge:gems/quartz')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:polyethylene', 72))
.itemOutputs('laserio:card_energy')
.duration(40)
.EUt(ULV)

// card_redstone

event.recipes.gtceu.assembler('kubejs:assembler/card_redstone')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:foils/red_alloy')
.itemInputs('#forge:gems/quartz')
.itemInputs('3x #forge:nuggets/gold')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('laserio:card_redstone')
.duration(40)
.EUt(ULV)

// card_redstone_2

event.recipes.gtceu.assembler('kubejs:assembler/card_redstone_2')
.itemInputs('#forge:dusts/redstone')
.itemInputs('#forge:foils/red_alloy')
.itemInputs('#forge:gems/quartz')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:polyethylene', 72))
.itemOutputs('laserio:card_redstone')
.duration(40)
.EUt(ULV)

// filter_basic

event.recipes.gtceu.assembler('kubejs:assembler/filter_basic')
.itemInputs('4x #forge:rods/iron')
.itemInputs('2x #forge:glass_panes/colorless')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('6x laserio:filter_basic')
.duration(40)
.EUt(ULV)

// filter_basic_2

event.recipes.gtceu.assembler('kubejs:assembler/filter_basic_2')
.itemInputs('4x #forge:rods/iron')
.itemInputs('2x #forge:glass_panes/colorless')
.itemInputs('laserio:logic_chip')
.inputFluids(Fluid.of('gtceu:polyethylene', 144))
.itemOutputs('8x laserio:filter_basic')
.duration(40)
.EUt(ULV)

// logic_chip

event.recipes.gtceu.assembler('kubejs:assembler/logic_chip')
.itemInputs('2x #forge:dusts/redstone')
.itemInputs('#forge:ingots/clay')
.itemInputs('#forge:storage_blocks/quartz')
.itemInputs('3x #forge:nuggets/gold')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('6x laserio:logic_chip')
.duration(40)
.EUt(ULV)

// logic_chip_2

event.recipes.gtceu.assembler('kubejs:assembler/logic_chip_2')
.itemInputs('2x #forge:dusts/redstone')
.itemInputs('#forge:ingots/clay')
.itemInputs('#forge:storage_blocks/quartz')
.itemInputs('3x #forge:nuggets/gold')
.inputFluids(Fluid.of('gtceu:polyethylene', 144))
.itemOutputs('8x laserio:logic_chip')
.duration(40)
.EUt(ULV)

// fluid_tank

event.recipes.gtceu.assembler('kubejs:assembler/fluid_tank')
.itemInputs('gtceu:steel_drum')
.itemInputs('#forge:circuits/lv')
.itemInputs('gtceu:lv_electric_pump')
.inputFluids(Fluid.of('gtceu:polyethylene', 144))
.itemOutputs('enderio:fluid_tank')
.duration(200)
.EUt(LV)

// pressurized_fluid_tank

event.recipes.gtceu.assembler('kubejs:assembler/pressurized_fluid_tank')
.itemInputs('gtceu:aluminium_drum')
.itemInputs('#forge:circuits/mv')
.itemInputs('gtceu:mv_electric_pump')
.inputFluids(Fluid.of('gtceu:polyethylene', 288))
.itemOutputs('enderio:pressurized_fluid_tank')
.duration(200)
.EUt(MV)

// fluid_conduit

event.recipes.gtceu.assembler('kubejs:assembler/fluid_conduit')
.itemInputs('2x #forge:plates/iron')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('enderio:fluid_conduit')
.duration(100)
.EUt(ULV)

// pressurized_fluid_conduit

event.recipes.gtceu.assembler('kubejs:assembler/pressurized_fluid_conduit')
.itemInputs('2x #forge:plates/steel')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('enderio:pressurized_fluid_conduit')
.duration(100)
.EUt(ULV)

// ender_fluid_conduit

event.recipes.gtceu.assembler('kubejs:assembler/ender_fluid_conduit')
.itemInputs('2x #forge:plates/aluminium')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('enderio:ender_fluid_conduit')
.duration(100)
.EUt(LV)

// item_conduit

event.recipes.gtceu.assembler('kubejs:assembler/item_conduit')
.itemInputs('2x #forge:plates/electrum')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('enderio:item_conduit')
.duration(100)
.EUt(LV)

// redstone_conduit

event.recipes.gtceu.assembler('kubejs:assembler/redstone_conduit')
.itemInputs('2x #forge:plates/red_alloy')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('enderio:redstone_conduit')
.duration(100)
.EUt(LV)

// fluid_conduit

event.recipes.gtceu.assembler('kubejs:assembler/fluid_conduit_2')
.itemInputs('2x #forge:plates/iron')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:polyethylene', 144))
.itemOutputs('2x enderio:fluid_conduit')
.duration(100)
.EUt(ULV)

// pressurized_fluid_conduit

event.recipes.gtceu.assembler('kubejs:assembler/pressurized_fluid_conduit_2')
.itemInputs('2x #forge:plates/steel')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:polyethylene', 144))
.itemOutputs('2x enderio:pressurized_fluid_conduit')
.duration(100)
.EUt(ULV)

// ender_fluid_conduit

event.recipes.gtceu.assembler('kubejs:assembler/ender_fluid_conduit_2')
.itemInputs('2x #forge:plates/aluminium')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:polyethylene', 144))
.itemOutputs('2x enderio:ender_fluid_conduit')
.duration(100)
.EUt(LV)

// item_conduit

event.recipes.gtceu.assembler('kubejs:assembler/item_conduit_2')
.itemInputs('2x #forge:plates/electrum')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:polyethylene', 144))
.itemOutputs('2x enderio:item_conduit')
.duration(100)
.EUt(LV)

// redstone_conduit

event.recipes.gtceu.assembler('kubejs:assembler/redstone_conduit_2')
.itemInputs('2x #forge:plates/red_alloy')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:polyethylene', 144))
.itemOutputs('2x enderio:redstone_conduit')
.duration(100)
.EUt(LV)

// me_conduit

event.recipes.gtceu.assembler('kubejs:assembler/me_conduit')
.itemInputs('2x #forge:gems/fluix')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('enderio:me_conduit')
.duration(100)
.EUt(LV)

// me_conduit

event.recipes.gtceu.assembler('kubejs:assembler/me_conduit_2')
.itemInputs('2x #forge:gems/fluix')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:polyethylene', 144))
.itemOutputs('2x enderio:me_conduit')
.duration(100)
.EUt(LV)

// dense_me_conduit

event.recipes.gtceu.assembler('kubejs:assembler/dense_me_conduit')
.itemInputs('2x ae2:fluix_block')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:rubber', 144))
.itemOutputs('enderio:dense_me_conduit')
.duration(100)
.EUt(LV)

// dense_me_conduit

event.recipes.gtceu.assembler('kubejs:assembler/dense_me_conduit_2')
.itemInputs('2x ae2:fluix_block')
.itemInputs('#forge:glass')
.itemInputs('2x enderio:conduit_binder')
.inputFluids(Fluid.of('gtceu:polyethylene', 144))
.itemOutputs('2x enderio:dense_me_conduit')
.duration(100)
.EUt(LV)



// fin //

  })